#include "math.h" //importer math library

//Pin slot LED
int GLED_1= 13; // Bekrafter om det er Wet på Digital PIN D13
int RLED_1= 12; // Bekrafter om det er Dry på Digital PIN D12
int YLED_1= 11; // Bekrafter om motor kører på Digital PIN D11

//Pint slot sensor og TransistorPin
int SENSE_1= 0; //Bestemmer sensor 1 pin slot
int SENSE_2= 1; //Bestemmer sensor 2 pin slot
int TransistorPin = 7;
//int TTransistorPin = 8;//test

//Værdi holdere
int count = 1; //tæller
int value_1= 0; //til sensor værdier
int value_2= 0; //til sensor værdier
int SHOCK = 0; //til change
int maxV= 102; //maximale værdi sensor måler (dirakte tør luft)
int minV= 24; //minimale værdi sensor måler (direkte vand)
int fugtighed = 50; //defualt fugtigheds grænse
int hastighed = 10; //defualt hastigheds grænse

//andre variabler
char junk = ' ';
unsigned long previousMillis = 0; //til delay ved hjælp af millis
const long interval = 1000; //til delay  ved hjælp af millis
unsigned long previousMillis_2 = 0; //til delay ved hjælp af millis
const long interval_2 = 5000; //til delay  ved hjælp af millis

void setup() {
   Serial.begin(250000); //bps
   pinMode(GLED_1, OUTPUT); //status på pin
   pinMode(RLED_1, OUTPUT); //status på pin
   pinMode(YLED_1, OUTPUT); //status på pin
   pinMode(TransistorPin, OUTPUT); //status på pin
   //pinMode(TTransistorPin, OUTPUT); //test
}
void loop() {
   Sensor();  //aflæser og skrive nuværende status
   pumpe(hastighed); //køre pumpe function med bestemt hastighed
   Change(); //afventer hvis der skal ændres
   Lys(value_1, value_2, GLED_1, RLED_1, fugtighed); //funktion der styre lysene
}
